Open a template project workspace
Creates or opens the shared project workspace at the current Artifact branch head and returns its effective files.
Creates or opens the shared project workspace at the current Artifact branch head and returns its effective files.
Authorization
apiKey x-api-key<token>
In: header
Path Parameters
id*string
Match
^tmpl_[0-9a-hjkmnp-tv-z]{16,24}$Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/templates/string/workspace"{ "workspace": { "projectId": "string", "organizationId": "string", "ownerEpoch": 0, "repositoryName": "string", "defaultBranch": "string", "baseCommit": "string", "remoteHead": "string", "pendingRemoteHead": "string", "revision": "string", "overlay": { "property1": "string", "property2": "string" }, "conflicts": [ { "path": "string", "base": "string", "draft": "string", "main": "string" } ], "provenance": { "references": [ { "kind": "string", "digest": "string", "locator": "string" } ] }, "mounts": [ { "kind": "project", "root": "/project", "access": "read-write" } ], "libraryManifestDigest": "string", "createdAt": "string", "updatedAt": "string", "createdBy": { "userId": "string", "via": "api" }, "updatedBy": { "userId": "string", "via": "api" } }, "files": { "property1": "string", "property2": "string" }}List template families
Returns a paginated list of the organization's template families and members. Use this endpoint to list template families through the Samva email API.
Patch template project files
Applies revision-checked file patches to the shared project workspace overlay. Use this endpoint to patch template project files through the Samva email API.